Subject: Re: CVS commit: pkgsrc
To: Johnny C. Lam <>
From: Todd Vierling <>
List: pkgsrc-changes
Date: 03/07/2001 09:19:16
On Tue, 6 Mar 2001, Todd Vierling wrote:

: : : It's currently needed only by the php4-imap package.  I realize that
: : : my understanding of shared libraries and inter-library dependencies is
: : : imperfect,
: :
: : That's just plain *wrong*.  If shared library interdependencies aren't
: : working properly, then analyze the problem first--don't hack around like
: : this.  This is a trashy workaround for a problem that no one's bothering to
: : understand.
: BTW, I submit that several php3-* modules work Just Fine with interlibrary
: dependencies, so they *should* work with php4-imap too.  That means there's
: evidently something wrong in the php4-imap build and/or symbol conflicts
: between php4, php4-imap, imap-uw, and/or libc.


I'm sorry if this came out a bit harsh (as has been told to me by a couple
people).  I was trying to express a point, probably a little too

If you need help addressing these changes, however, please let me know.

-- Todd Vierling <>  *  Wasabi NetBSD:  Run with it.
-- NetBSD 1.5 now available on CD-ROM  --